<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['recarga']=='si') {
	//Llamada original completa para obtener toda la OP, descartamos y creamos una nueva que solo devuelve el bloque cajas, para agilizar	//$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREP#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'];
	$peticion='SGAListaCajasOPrep#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['orden']['OrdenPreparacion'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	$datosOrden=$resultado[0];
	$_SESSION['cajas']=arreglaArrayPXMobileProxiumResult($datosOrden['Cajas']);
}

?>
<h2>Caja <?php echo $_SESSION['preparacionCajaActual']; ?></h2>

<div id="popupCambioProductoCaja" class="popup" style="display:none"></div>
<div id="popupCambioProductoCajaContenido" class="popupContenidoScroll" style="display:none;text-align:center"></div>
<?php

if(count($_SESSION['cajas'])>0) {
	
	foreach($_SESSION['cajas'] as $caja) {
		
		if($caja['NumeroCaja']==$_SESSION['preparacionCajaActual']) {
				$cajaProductos=arreglaArrayPXMobileProxiumResult($caja['Productos']);
		}
	}
	
	if(count($cajaProductos)>0) {
	
		?><table class="tablaFormateada">
         	<tr>
				<th>Código</th>
                <th>Descripción</th>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                <?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                <?php } ?>
                <?php if($_SESSION['gestionPaletizado']=='S') { ?><th>Contenedor</th><?php } ?>
                <th width="100">Ubicación</th>
                <th>Cantidad</th>
			    <th>Cambiar</th>
         	</tr>
        <?php
	
		foreach($cajaProductos as $producto) {
			?>
			<tr>
            	<td><?php echo $producto['Codigo']; ?></td>
                <td align="left"><?php echo $producto['Descripcion']; ?></td>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                	<?php if($comportamiento['Activo']=='S') { ?>
                    	<td><?php echo $producto[$comportamiento['NombreSQL']]; ?></td>
                    <?php } ?>
				<?php } ?>
                <?php if($_SESSION['gestionPaletizado']=='S') { ?><td><?php echo $producto['Contenedor']; ?></td><?php } ?>
                <td><?php echo $producto['Ubicacion']; ?></td>
                <td align="right"><?php echo number_format($producto['Cantidad'],0,',','.'); ?></td>
                <td align="right"><img id="imagenProductoCaja<?php echo $producto['ContadorCaja']; ?>" lineaProducto="<?php echo $producto['ContadorCaja']; ?>" src="<?php echo DIR_IMAGENES; ?>/caja.png" width="47" class="imagenCambioProductoCaja clicable" cantidad="<?php echo $producto['Cantidad']; ?>"/></td>
			</tr>
        	<?php
		}
		
		?></table>
        
	<?php } else { ?><p>Esta Caja de Expedición todavía no contiene productos.</p><?php } ?>
    
<script>

	$(document).ready(function() {
	
		$('.imagenCambioProductoCaja').on("click",function(){
		
			$('#popupCargando').show();
		
			$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-cajas-listado-cambio.php", { 'lineaProducto' : $(this).attr('lineaProducto') , 'cantidad' : $(this).attr('cantidad') } )
			.done(function(data) {
			
				$('#popupCambioProductoCajaContenido').html(data);
				$('#popupCambioProductoCaja').show();
				$('#popupCambioProductoCajaContenido').show();
				
				$('#popupCargando').hide();
			});
		
		});
	
	});
	
</script>

<?php
}

?>